using UnityEngine;
using System.Collections;

public class moveduck : MonoBehaviour {

	public GameObject targetDuck;
	Vector3 vectorToTarget;
	public float duckSpeed = 0.1f;
	
	// Use this for initialization
	void Start () {
		vectorToTarget = targetDuck.transform.position - this.transform.position;
		vectorToTarget = vectorToTarget.normalized * duckSpeed;
	}
	
	// Update is called once per frame
	void Update () {
		
		float distanceBetweenDucks = Vector3.Distance(
			this.transform.position, targetDuck.transform.position);
		
		if(distanceBetweenDucks > 1)
		{
			this.transform.position = this.transform.position + vectorToTarget;
		}
	}
}
